# Functor BatSplay.Map

    module Map: functor (Ord : BatInterfaces.OrderedType) -> sig .. end

Parameters:

`Ord` | : | `BatInterfaces.OrderedType`

    include BatMap.S

    val print_as_list : ('a BatInnerIO.output -> key -> unit) ->
           ('a BatInnerIO.output -> 'c -> unit) -> 'a BatInnerIO.output -> 'c t -> unit

    val of_list : (Ord.t * 'a) list -> 'a t

    val to_list : 'a t -> (Ord.t * 'a) list